phing-tasks-ext-phpunit

# Class: FormatterElement Source Location: /tasks/ext/phpunit/FormatterElement.php
### Class Overview
A wrapper for the implementations of PHPUnit2ResultFormatter. #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: FormatterElement.php 553 2009-08-29 12:33:32Z mrook $ | ### Variables $formatter $outfile $toDir $type $useFile | ### Methods getExtension getFormatter getOutfile getToDir getUseFile setClassName setOutfile setToDir setType setUseFile
### Child classes: SimpleTestFormatterElement Child class of "FormatterElement", overrides setType to provide other formatter classes for SimpleTest
### Class Details [line 32] A wrapper for the implementations of PHPUnit2ResultFormatter. #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: FormatterElement.php 553 2009-08-29 12:33:32Z mrook $
since: | 2.1.0
[ Top ] ### Class Variables #### $formatter = NULL [line 34] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $outfile = "" [line 42] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $toDir = "." [line 40] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $type = "" [line 36] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $useFile = true [line 38] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### method getExtension [line 117]
`void getExtension( )`
[ Top ] ### method getFormatter [line 122]
`void getFormatter( )`
[ Top ] ### method getOutfile [line 105]
`void getOutfile( )`
[ Top ] ### method getToDir [line 95]
`void getToDir( )`
[ Top ] ### method getUseFile [line 85]
`void getUseFile( )`
[ Top ] ### method setClassName [line 73]
`void setClassName( $className)`
#### Parameters:
| $className |
[ Top ] ### method setOutfile [line 100]
`void setOutfile( $outfile)`
#### Parameters:
| $outfile |
[ Top ] ### method setToDir [line 90]
`void setToDir( $toDir)`
#### Parameters:
| $toDir |
[ Top ] ### method setType [line 44]
`void setType( $type)`
Overridden in child classes as: SimpleTestFormatterElement::setType() #### Parameters:
| $type |
[ Top ] ### method setUseFile [line 80]
`void setUseFile( $useFile)`
#### Parameters:
| $useFile |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:01 +0200 by phpDocumentor 1.4.3